GNU Radio's SATELLITES Package

gr::satellites::costas_loop_8apsk_cc Class Referenceabstract

8APSK Costas Loop More...

`#include <costas_loop_8apsk_cc.h>`

Inheritance diagram for gr::satellites::costas_loop_8apsk_cc:
[legend]

## Public Types
typedef boost::shared_ptr< costas_loop_8apsk_cc > | sptr

## Public Member Functions
virtual float | error () const =0

## Static Public Member Functions
static sptr | make (float loop_bw)

## Detailed Description

8APSK Costas Loop

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<costas_loop_8apsk_cc> gr::satellites::costas_loop_8apsk_cc::sptr

## Member Function Documentation

## ◆ error()

virtual float gr::satellites::costas_loop_8apsk_cc::error | ( |  | ) | const
| pure virtual

Returns the current value of the loop error.

Implemented in gr::satellites::costas_loop_8apsk_cc_impl.

## ◆ make()

sptr gr::satellites::costas_loop_8apsk_cc::make | ( | float | loop_bw | ) |
| static

Make an 8APSK Costas Loop block.

Parameters

  loop_bw | internal 2nd order loop bandwidth

The documentation for this class was generated from the following file:

- costas_loop_8apsk_cc.h